Environment Restore - Restore Environment
Restores the specified environment to a previous backup (Preview).
POST https://api.powerplatform.com/environmentmanagement/environments/{targetEnvironmentId}/Restore?api-version=2024-10-01
POST https://api.powerplatform.com/environmentmanagement/environments/{targetEnvironmentId}/Restore?ValidateOnly={ValidateOnly}&ValidateProperties={ValidateProperties}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
target
|
path | True |
string |
The target environment ID. |
|
api-version
|
query | True |
string |
The API version. |
|
Validate
|
query |
boolean |
If true, validates the request without executing it. |
|
|
Validate
|
query |
string |
Comma-separated property names to validate with ValidateOnly. |
Request Body
Media Types: "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| restorePointDateTime | True |
string (date-time) |
Date and time of the restore point, with timezone offset per RFC 3339 (e.g., 2025-04-30T12:34:56+02:00). |
| sourceEnvironmentId | True |
string |
The ID of the source environment from which the backup will be restored. |
| restoreOptions |
Optional inputs for a restore request. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Accepted Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Error |
Represents the error detail for a single entry in an error dictionary. |
|
Error |
Represents error information for an operation. |
|
Restore |
Request model for restoring an environment to a previous backup. |
|
Restore |
Optional inputs for a restore request. |
|
Validation |
Represents the response for validation of an operation. |
ErrorEntry
Represents the error detail for a single entry in an error dictionary.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
ErrorInfo
Represents error information for an operation.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error Code. |
| fieldErrors |
<string,
Error |
The detailed error. |
RestoreRequest
Request model for restoring an environment to a previous backup.
| Name | Type | Description |
|---|---|---|
| restoreOptions |
Optional inputs for a restore request. |
|
| restorePointDateTime |
string (date-time) |
Date and time of the restore point, with timezone offset per RFC 3339 (e.g., 2025-04-30T12:34:56+02:00). |
| sourceEnvironmentId |
string |
The ID of the source environment from which the backup will be restored. |
RestoreRequestOptions
Optional inputs for a restore request.
| Name | Type | Description |
|---|---|---|
| environmentNameToOverride |
string |
Environment name to override on the target environment. |
| securityGroupIdToOverride |
string |
Security group ID to override on the target environment. |
| skipAuditData |
boolean |
A value indicating whether to skip audit data during the restore process. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Represents error information for an operation. |